Bug 807965 - Process ID cannot be the same as process Name, for any process within a package deployed to jbpm-console.
Process ID cannot be the same as process Name, for any process within a packa...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
All All
unspecified Severity low
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 05:07 EDT by Tim Marcher
Modified: 2016-07-31 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Marcher 2012-03-29 05:07:54 EDT
Description of problem:
If the ID attribute of a process (1), deployed to the jbpm-console, matches the Name attribute of any given process (2) also deployed to the jbpm-console, when starting the process (1) by pressing [Start] in the jbpm-console, the process is not started.
Instead, the process BPMN definition of the process (1) is displayed in a overlay window in the jbpm-console.


Version-Release number of selected component (if applicable):
BRMS 5.3 Early release 3


How reproducible:
This is consistently reproducible.

Steps to Reproduce:
1. Create process, with ID = "P1" and Name = "N1", in Guvnor defaultPackage.
2. Create process, with ID = "N1" and Name = "Nx", in Guvnor defaultPackage.
3. Build defaultPackage, and refresh jbpm-console.
4. Pressing [Start] in jbpm-console, on process with Name "N1" starts process with ID "P1", as expected.
5. Pressing [Start] in jbpm-console, on process with Name "Nx" displays the BPMN definition for the process.

  
Actual results:
The process BPMN definition of the process with ID = "N1", matching the Name attribute of the process with ID = "P1", is displayed in a overlay window in the jbpm-console.

Expected results:
The process with ID = "N1" should be started.

Additional info:
A temporary workaround is ensuring that the processes are defined with unique ID and Name attributes.
Comment 1 Maciej Swiderski 2012-04-04 07:24:52 EDT
pull request available at: https://github.com/droolsjbpm/jbpm/pull/74

ensures that console will fetch proper formats of assets when quering Guvnor for process/task forms.
Comment 2 Ryan Zhang 2012-04-23 03:39:13 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.